%define majver %(echo %version | cut -d. -f 1-2)
Name:          libxml2_13
Version:       2.13.7
Release:       2mamba
Summary:       Library providing XML and HTML support
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/libxml2
Source:        https://gitlab.gnome.org/GNOME/libxml2.git/v%{version}/libxml2-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gtk-doc

%description
This library allows to manipulate XML files.
It includes support to read, modify and write XML and HTML files.
There is DTDs support this includes parsing and validation even with complex DtDs, either at parse time or later once the document has been modified.
The output can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation to select subnodes or ranges.
A flexible Input/Output mechanism is available, with existing HTTP and FTP modules and combined to an URI library.

%package devel
Group:         Development/Libraries
Summary:       Devel files for the library providing XML and HTML support
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This library allows to manipulate XML files.
It includes support to read, modify and write XML and HTML files.
There is DTDs support this includes parsing and validation even with complex DtDs, either at parse time or later once the document has been modified.
The output can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation to select subnodes or ranges.
A flexible Input/Output mechanism is available, with existing HTTP and FTP modules and combined to an URI library.
This package contains static libraries and header files needed for development.

%package utils
Group:         Development/Libraries
Summary:       Utilities for the libxml library providing XML and HTML support
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description utils
This package contains some utilities to manipulate XML files.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%prep
%setup -q -n libxml2-%{version}
./autogen.sh

%build
#autoreconf
%configure \
   --enable-shared \
   --disable-static \
   --with-history \
   --with-icu \
   --with-legacy \
   --with-threads \
   --without-python \
   --disable-gtk-doc

%make
#make tests

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/libxml2.so.*
%doc Copyright

%files devel
%defattr(-,root,root)
%{_bindir}/xml2-config
%{_datadir}/aclocal/libxml.m4
%dir %{_includedir}/libxml2
%{_includedir}/libxml2/*
%{_libdir}/libxml2.so
%dir %{_libdir}/cmake/libxml2
%{_libdir}/cmake/libxml2/libxml2-config.cmake
%{_libdir}/pkgconfig/*
%{_mandir}/man1/xml2-config.*

%files utils
%defattr(-,root,root)
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog.*
%{_mandir}/man1/xmllint.*

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libxml2/
%dir %{_datadir}/doc/libxml2/
%{_datadir}/doc/libxml2/*

%changelog
* Mon Mar 31 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.7-2mamba
- legacy package

* Fri Mar 28 2025 Automatic Build System <autodist@openmamba.org> 2.13.7-1mamba
- automatic version update by autodist

* Tue Feb 18 2025 Automatic Build System <autodist@openmamba.org> 2.13.6-1mamba
- automatic version update by autodist

* Wed Nov 13 2024 Automatic Build System <autodist@openmamba.org> 2.13.5-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 2.13.4-1mamba
- automatic version update by autodist

* Thu Jul 25 2024 Automatic Build System <autodist@openmamba.org> 2.13.3-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 2.13.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 2.13.1-1mamba
- automatic version update by autodist

* Wed Jun 12 2024 Automatic Build System <autodist@openmamba.org> 2.13.0-1mamba
- automatic version update by autodist

* Mon May 13 2024 Automatic Build System <autodist@openmamba.org> 2.12.7-1mamba
- automatic version update by autodist

* Fri Mar 15 2024 Automatic Build System <autodist@openmamba.org> 2.12.6-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Automatic Build System <autodist@openmamba.org> 2.12.5-1mamba
- automatic version update by autodist

* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 2.12.4-1mamba
- automatic version update by autodist

* Wed Dec 13 2023 Automatic Build System <autodist@mambasoft.it> 2.12.3-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-2mamba
- rebuilt with --with-history --with-icu --with-threads

* Wed Dec 06 2023 Automatic Build System <autodist@mambasoft.it> 2.12.2-1mamba
- automatic version update by autodist

* Fri Nov 24 2023 Automatic Build System <autodist@mambasoft.it> 2.12.1-1mamba
- automatic version update by autodist

* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Sat Oct 07 2023 Automatic Build System <autodist@mambasoft.it> 2.11.5-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.4-3mamba
- move arch .so library from python-libxml2-py3 to libxml2 to ease PackageKit upgrade; remove and obsolete python 2.7 package

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.10.4-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Apr 12 2023 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Tue Aug 30 2022 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 2.9.14-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.13-1mamba
- update to 2.9.13

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 2.9.12-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.10-5mamba
- rebuilt to fix libxml2mod.so linked against py27 in py3

* Mon Mar 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.10-4mamba
- add -py27 package required for e.g. gimp-help

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.10-3mamba
- python-libxml2-py3: fix: don't install in libxml2 subdir

* Thu Nov 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.10-2mamba
- rebuilt with only python3 package, added debug package

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 2.9.10-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.9-2mamba
- added -py36 package

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 2.9.9-1mamba
- automatic version update by autodist

* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 2.9.8-1mamba
- automatic version update by autodist

* Mon Nov 27 2017 Automatic Build System <autodist@mambasoft.it> 2.9.7-1mamba
- automatic update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 2.9.6-1mamba
- automatic version update by autodist

* Tue Sep 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.5-2mamba
- rebuilt to fix %py_requires incorrectly based on python 2.6

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 2.9.5-1mamba
- automatic version update by autodist

* Mon May 23 2016 Automatic Build System <autodist@mambasoft.it> 2.9.4-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Automatic Build System <autodist@mambasoft.it> 2.9.3-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Mon Nov 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-2mamba
- rebuilt with python 2.7

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Fri Feb 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.8-1mamba
- update to 2.7.8

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.7.7-2mamba
- automatic rebuild by autodist

* Sun Apr 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.7-1mamba
- update to 2.7.7

* Sat Oct 24 2009 Automatic Build System <autodist@mambasoft.it> 2.7.6-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 2.7.5-1mamba
- update to 2.7.5

* Tue Dec 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.30-2mamba
- rebuild with python 2.6

* Fri Nov 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.30-1mamba
- update to 2.6.30

* Wed Apr 11 2007 Davide Madrisan <davide.madrisan@gmail.com> 2.6.27-2mamba
- new subpackage apidocs with API documentation
- do not build static libraries

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.6.27-1mamba
- update to 2.6.27

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.26-1qilnx
- update to version 2.6.26 by autospec
- man3 page moved to devel package

* Fri Sep 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.22-1qilnx
- update to version 2.6.22 by autospec
- added build requirements and gtk-doc
- package `python-libxml2' requires python

* Tue Aug 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-1qilnx
- update to version 2.6.20 by autospec

* Wed Feb 23 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.17-2qilnx
- rebuilt with python support 

* Tue Feb 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.17-1qilnx
- update to version 2.6.17 by autospec
- tests disables

* Fri Dec 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.15-2qilnx
- documentation moved to devel package

* Tue Nov 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.15-1qilnx
- updated to 2.6.15 (also fixes QSA-2004-053 (CAN-2004-989))
- moved xml2-config binary and man page to the devel package

* Mon Mar 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.7-1qilnx
- rebuilt with latest available version (include a security fix: CAN-2004-0110)

* Wed May 21 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.5.7-1qilnx
- first build
